Bug 1654153 - regression: gold: discarding version information for __libc_stack_end
Summary: regression: gold: discarding version information for __libc_stack_end
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL: https://sourceware.org/bugzilla/show_...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 07:03 UTC by Jan Kratochvil
Modified: 2018-12-01 20:41 UTC (History)
6 users (show)

Fixed In Version: binutils-2.31.1-15.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-01 20:41:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 23455 None None None 2019-01-15 12:47:25 UTC

Description Jan Kratochvil 2018-11-28 07:03:33 UTC
Description of problem:
A build working on F-28 is failing on F-29.
I do not know if it is a gcc or gold bug.

Version-Release number of selected component (if applicable):
gcc-8.2.1-5.fc29.x86_64
binutils-2.31.1-13.fc29.x86_64

How reproducible:
Always.

Steps to Reproduce:
echo -e '#include <stdlib.h>\nint main(){malloc(1);}'|g++ -fkeep-inline-functions -fsanitize=undefined -Wl,--fatal-warnings -fuse-ld=gold -static-libubsan -x c++ -

Actual results:
/usr/bin/ld.gold: warning: discarding version information for __libc_stack_end@GLIBC_2.2.5, defined in unused shared library /lib64/ld-linux-x86-64.so.2 (linked with --as-needed)
/usr/bin/ld.gold: error: treating warnings as errors
collect2: error: ld returned 1 exit status

Expected results:
Built a.out.

Additional info:

Comment 1 Nick Clifton 2018-11-28 13:43:13 UTC
This is a manifestation of:

  https://sourceware.org/bugzilla/show_bug.cgi?id=23455

Comment 2 Nick Clifton 2018-11-28 15:44:13 UTC
    Fixed in:

       binutils-2.31.1-15.fc29
       binutils-2.31.1-17.fc30

Comment 3 Jan Kratochvil 2018-11-29 10:05:07 UTC
Confirming this build fixes it even in the real build, thanks.
Although why it does not have a Bodhi update?
  https://bodhi.fedoraproject.org/updates/?packages=binutils

Comment 4 Fedora Update System 2018-11-29 12:32:46 UTC
binutils-2.31.1-15.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e6f28f90e

Comment 5 Nick Clifton 2018-11-29 12:33:48 UTC
(In reply to Jan Kratochvil from comment #3)

> Although why it does not have a Bodhi update?

My bad - it slipped my mind.  I have now created the update request.

Comment 6 Fedora Update System 2018-11-30 15:12:10 UTC
binutils-2.31.1-15.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e6f28f90e

Comment 7 Fedora Update System 2018-12-01 20:41:15 UTC
binutils-2.31.1-15.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.